import { defineConfig } from 'vite'
import { createVuePlugin } from 'vite-plugin-vue2' // 引入 Vue 2 插件

export default defineConfig({
    plugins: [createVuePlugin()], // 启用 Vue 2 插件
    build: {
        target: 'es2015', // 兼容旧浏览器
        outDir: 'dist' // 构建输出目录（与 Docker 同步）
    },
    server: {
        host: '0.0.0.0', // 允许容器内访问开发服务器
        port: 5173
    }
})
